
Redmine - Patch #42756

Update tests for rails-dom-testing 2.3.0 whitespace collapsing

2025-05-22 10:22 - Katsuya HIDAKA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.13   

Description

rails-dom-testing 2.3.0 and later collapse whitespace in assert_select :text , causing some tests to fail if they expect multiple spaces

or tabs.

https://github.com/hidakatsuya/redmine/actions/runs/15154438331/job/42621433335

Failure:

IssuesControllerTest#test_index_with_last_notes_column [test/functional/issues_controller_test.rb:

1738]:

--- expected

+++ actual

@@ -1 +1 @@

-"A comment with inline image:  and a reference to #1 and r2." 

+"A comment with inline image: and a reference to #1 and r2." 

.

Expected 0 to be >= 1.

bin/rails test test/functional/issues_controller_test.rb:1725

...

 This patch updates the affected tests to expect collapsed whitespace.

It also sets the minimum required version of rails-dom-testing to 2.3.0, since the updated tests fail on earlier versions.

Confirmed that the tests pass on both master and 5.1-stable.

Associated revisions

Revision 23784 - 2025-05-23 07:44 - Go MAEDA

Update tests for rails-dom-testing 2.3.0 whitespace collapsing (#42756).

Patch by Katsuya HIDAKA (user:hidakatsuya).

Revision 23785 - 2025-05-23 07:49 - Go MAEDA

Merged r23784 from trunk to 6.0-stable (#42756).

Revision 23786 - 2025-05-23 08:01 - Go MAEDA

Merged r23784 from trunk to 5.1-stable (#42756).

Revision 23787 - 2025-05-23 08:36 - Go MAEDA

Merged r23784 from trunk to 5.0-stable (#42756).

History

#1 - 2025-05-23 03:08 - Katsuya HIDAKA

Currently, all GitHub CI jobs are failing. I believe this patch will fix the issue.

https://github.com/redmine/redmine/actions/runs/15197996337/job/42746539012

#2 - 2025-05-23 07:35 - Go MAEDA

- Target version set to 5.0.13
https://github.com/rails/rails-dom-testing/pull/123
https://github.com/hidakatsuya/redmine/actions/runs/15154438331/job/42621433335
https://github.com/redmine/redmine/actions/runs/15197996337/job/42746539012


#3 - 2025-05-23 07:44 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed the patch in r23784. Thank you for detecting and fixing the issue.

#4 - 2025-05-23 08:37 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into the stable branches in r23785, r23786, and r23787.
